Commits

Antoine Pitrou committed 49a3e0d

Bump version and requirements.

  • Participants
  • Parent commits c5a5670

Comments (0)

Files changed (4)

 Requirements
 ------------
 
-Python 3.2 or later is required.
+Python 3.2 or later is recommended, but pathlib is also usable with Python 2.7.
 
 Install
 -------
 
 The issue tracker and repository are hosted by `BitBucket
 <https://bitbucket.org/pitrou/pathlib/>`_.
+
+
+History
+-------
+
+Version 0.5
+^^^^^^^^^^^
+
+- Added Python 2.7 compatibility by Michele Lacchia
-0.4
+0.5

File docs/index.rst

 This module offers a set of classes featuring all the common operations on
 paths in an easy, object-oriented way.
 
-This module requires Python 3.2 or later.  If using it with Python 3.3,
-you also have access to optional ``openat``-based filesystem operations.
+This module is best used with Python 3.2 or later, but it is also compatible
+with Python 2.7.  If using it with Python 3.3, you also have access to
+optional ``openat``-based filesystem operations.
 
 
 Download
         'License :: OSI Approved :: MIT License',
         'Operating System :: OS Independent',
         'Programming Language :: Python :: 3',
+        'Programming Language :: Python :: 2.7'
         'Programming Language :: Python :: 3.2',
         'Topic :: Software Development :: Libraries',
         'Topic :: System :: Filesystems',